> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Omnichannel Room

> Edit an Omnichannel room. Update the topic, tags, and other details.
Permission required: `view-l-room`

### Changelog
| Version      | Description |
| ---------------- | ------------|
|5.3.0            | Added       |

## OpenAPI

````json POST /api/v1/livechat/room.saveInfo
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Omnichannel"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "tags": [
    {
      "name": "Omnichannel Users"
    },
    {
      "name": "Omnichannel Agents"
    },
    {
      "name": "Omnichannel Monitors"
    },
    {
      "name": "Omnichannel Visitors"
    },
    {
      "name": "Omnichannel Contacts"
    },
    {
      "name": "Omnichannel Rooms"
    },
    {
      "name": "Omnichannel Departments"
    },
    {
      "name": "Omnichannel Custom Fields"
    },
    {
      "name": "Omnichannel Business Hours"
    },
    {
      "name": "Omnichannel Priorities"
    },
    {
      "name": "Omnichannel Tags"
    },
    {
      "name": "Omnichannel Units"
    },
    {
      "name": "SLA Policies"
    },
    {
      "name": "Canned Responses"
    },
    {
      "name": "Omnichannel Transcript"
    },
    {
      "name": "Omnichannel Statistics"
    },
    {
      "name": "Omnichannel Agent Stats"
    },
    {
      "name": "Omnichannel Dashboards"
    },
    {
      "name": "Reports"
    },
    {
      "name": "Omnichannel Inquiries"
    },
    {
      "name": "Omnichannel Webhooks"
    },
    {
      "name": "Livechat"
    },
    {
      "name": "Livechat Appearance"
    },
    {
      "name": "Livechat Triggers"
    },
    {
      "name": "Livechat Messages"
    },
    {
      "name": "Livechat Page Visited"
    }
  ],
  "paths": {
    "/api/v1/livechat/room.saveInfo": {
      "post": {
        "summary": "Update Omnichannel Room",
        "description": "Edit an Omnichannel room. Update the topic, tags, and other details.\nPermission required: `view-l-room`\n\n### Changelog\n| Version      | Description |\n| ---------------- | ------------|\n|5.3.0            | Added       |",
        "operationId": "post-api-v1-livechat-room.saveInfo",
        "parameters": [
          {
            "$ref": "#/components/parameters/AuthToken"
          },
          {
            "$ref": "#/components/parameters/UserId"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "guestData": {
                    "type": "object",
                    "properties": {
                      "_id": {
                        "type": "string",
                        "description": "The guest ID."
                      },
                      "name": {
                        "type": "string",
                        "description": "The name  of the guest."
                      },
                      "email": {
                        "type": "string",
                        "description": "The email of the guest."
                      },
                      "phone": {
                        "type": "string",
                        "description": "The contact of the guest. "
                      },
                      "livechatData": {
                        "type": "object",
                        "description": "Custom fields information."
                      }
                    },
                    "required": [
                      "_id"
                    ]
                  },
                  "roomData": {
                    "type": "object",
                    "properties": {
                      "_id": {
                        "type": "string",
                        "description": "The room ID."
                      },
                      "topic": {
                        "type": "string",
                        "description": "The topic of the room."
                      },
                      "tags": {
                        "type": "array",
                        "description": "An array of tags to be associated with the room.",
                        "items": {
                          "type": "string"
                        }
                      },
                      "priorityId": {
                        "type": "string",
                        "description": "The priority ID of the room."
                      },
                      "slaId": {
                        "type": "string",
                        "description": "The SLA priority ID of the room."
                      },
                      "livechatData": {
                        "type": "object",
                        "description": "Custom fields information."
                      }
                    },
                    "required": [
                      "_id"
                    ]
                  }
                }
              },
              "examples": {
                "Example 1": {
                  "value": {
                    "guestData": {
                      "_id": "rbAXPnMktTFbNpwtJ"
                    },
                    "roomData": {
                      "_id": "nf52k8bpJ8y7oHmwk",
                      "topic": "Hmm",
                      "tags": [
                        "testtags"
                      ]
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "$ref": "#/components/responses/trueSuccess"
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean"
                    },
                    "error": {
                      "type": "string"
                    },
                    "errorType": {
                      "type": "string"
                    }
                  }
                },
                "examples": {
                  "Example 1": {
                    "value": {
                      "success": "false",
                      "error": "must have required property 'guestData' [invalid-params]",
                      "errorType": "invalid-params"
                    }
                  },
                  "Example 2": {
                    "value": {
                      "success": "false",
                      "error": "must have required property 'roomData' [invalid-params]",
                      "errorType": "invalid-params"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/authorizationError"
          },
          "403": {
            "$ref": "#/components/responses/permissionError"
          }
        },
        "tags": [
          "Omnichannel Rooms"
        ]
      }
    }
  },
  "components": {
    "parameters": {
      "AuthToken": {
        "name": "X-Auth-Token",
        "in": "header",
        "description": "The `authToken` of the authenticated user.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f"
      },
      "UserId": {
        "name": "X-User-Id",
        "in": "header",
        "description": "The `userId` of the authenticated user.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "rbAXPnMktTFbNpwtJ"
      }
    },
    "responses": {
      "trueSuccess": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "success": {
                  "type": "boolean"
                }
              }
            },
            "examples": {
              "Success": {
                "value": {
                  "success": "true"
                }
              }
            }
          }
        }
      },
      "authorizationError": {
        "description": "Unauthorized",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "string"
                },
                "message": {
                  "type": "string"
                }
              }
            },
            "examples": {
              "Authorization Error": {
                "value": {
                  "status": "error",
                  "message": "You must be logged in to do this."
                }
              }
            }
          }
        }
      },
      "permissionError": {
        "description": "Forbidden",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "success": {
                  "type": "boolean"
                },
                "error": {
                  "type": "string"
                }
              }
            },
            "examples": {
              "Permission Error": {
                "value": {
                  "success": "false",
                  "error": "User does not have the permissions required for this action [error-unauthorized]"
                }
              },
              "Unauthorized": {
                "value": {
                  "success": "false",
                  "error": "unauthorized"
                }
              }
            }
          }
        }
      }
    }
  }
}
````

